Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class BytecodeVariable

    java.lang.Object
      org.codehaus.groovy.classgen.asm.BytecodeVariable

    public class BytecodeVariable
    extends java.lang.Object

Represents compile time variable metadata while compiling a method.

Authors:
  James Strachan
  Jochen Theodorou

Version:
  \$Revision\$

Field Summary
`static BytecodeVariable` | `SUPER_VARIABLE`
`static BytecodeVariable` | `THIS_VARIABLE`

Constructor Summary
`BytecodeVariable(int index, ClassNode type, java.lang.String name, int prevCurrent)`

Method Summary
`org.objectweb.asm.Label` | `getEndLabel()`
`int` | `getIndex()` @return the stack index for this variable
`java.lang.String` | `getName()`
`int` | `getPrevIndex()`
`org.objectweb.asm.Label` | `getStartLabel()`
`ClassNode` | `getType()`
`boolean` | `isDynamicTyped()`
`boolean` | `isHolder()` @return is this local variable shared in other scopes (and so must use a ValueHolder)
`void` | `setDynamicTyped(boolean b)`
`void` | `setEndLabel(org.objectweb.asm.Label endLabel)`
`void` | `setHolder(boolean holder)`
`void` | `setStartLabel(org.objectweb.asm.Label startLabel)`
`void` | `setType(ClassNode type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### SUPER_VARIABLE

    public static final BytecodeVariable SUPER_VARIABLE

### THIS_VARIABLE

    public static final BytecodeVariable THIS_VARIABLE

Constructor Detail

### BytecodeVariable

    public BytecodeVariable(int index, ClassNode type, java.lang.String name, int prevCurrent)

Method Detail

### getEndLabel

    public org.objectweb.asm.Label getEndLabel()

### getIndex

    public int getIndex()

  Returns:
    the stack index for this variable

### getName

    public java.lang.String getName()

### getPrevIndex

    public int getPrevIndex()

### getStartLabel

    public org.objectweb.asm.Label getStartLabel()

### getType

    public ClassNode getType()

### isDynamicTyped

    public boolean isDynamicTyped()

### isHolder

    public boolean isHolder()

  Returns:
    is this local variable shared in other scopes (and so must use a ValueHolder)

### setDynamicTyped

    public void setDynamicTyped(boolean b)

### setEndLabel

    public void setEndLabel(org.objectweb.asm.Label endLabel)

### setHolder

    public void setHolder(boolean holder)

### setStartLabel

    public void setStartLabel(org.objectweb.asm.Label startLabel)

### setType

    public void setType(ClassNode type)

### toString

    public java.lang.String toString()

Groovy Documentation